Bug 221057 - [NEW PORT] x11-fonts/ohsnap: Monospaced font based on Artwiz Snap
Summary: [NEW PORT] x11-fonts/ohsnap: Monospaced font based on Artwiz Snap
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-27 22:47 UTC by Alexandre C. Guimarães
Modified: 2017-08-01 16:41 UTC (History)
1 user (show)

See Also:


Attachments
[NEW PORT] Ohsnap font. (3.94 KB, patch)
2017-07-27 22:47 UTC, Alexandre C. Guimarães
no flags Details | Diff
[NEW PORT] Ohsnap font. (3.91 KB, patch)
2017-07-28 07:00 UTC, Alexandre C. Guimarães
no flags Details | Diff
[NEW PORT] Ohsnap font. (3.91 KB, patch)
2017-07-28 07:24 UTC, Alexandre C. Guimarães
no flags Details | Diff
[NEW PORT] Ohsnap font. (4.33 KB, patch)
2017-07-28 07:28 UTC, Alexandre C. Guimarães
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre C. Guimarães freebsd_committer 2017-07-27 22:47:49 UTC
Created attachment 184780 [details]
[NEW PORT] Ohsnap font.

Hello,

I would like to maintain a port of the Ohsnap font. I attach a patch.

https://sourceforge.net/projects/osnapfont/

"Monospaced font based on Artwiz Snap with bold and a version
with status icons.

There are ISO8859-1 version, a version with status icons,
consolefonts and a work on ISO10646-1.
Available sizes are: 6x11, 7x12, 6x13 and 7x14."

Thank you!
Comment 1 Alexandre C. Guimarães freebsd_committer 2017-07-28 07:00:47 UTC
Created attachment 184785 [details]
[NEW PORT] Ohsnap font.

This is the fixed port.
Comment 2 Alexandre C. Guimarães freebsd_committer 2017-07-28 07:24:19 UTC
Created attachment 184788 [details]
[NEW PORT] Ohsnap font.

One more fix.
Comment 3 Alexandre C. Guimarães freebsd_committer 2017-07-28 07:28:04 UTC
Created attachment 184789 [details]
[NEW PORT] Ohsnap font.

a wrong patch was sent before.
Comment 4 commit-hook freebsd_committer 2017-08-01 16:40:09 UTC
A commit references this bug:

Author: tcberner
Date: Tue Aug  1 16:39:30 UTC 2017
New revision: 447027
URL: https://svnweb.freebsd.org/changeset/ports/447027

Log:
  New port: x11-fonts/ohsnap

  Monospaced font based on Artwiz Snap with bold and a version
  with status icons.

  https://sourceforge.net/projects/osnapfont/

  PR:		221057
  Submitted by:	Le Baron d'Merde <lebarondemerde@gmx.com>

Changes:
  head/x11-fonts/Makefile
  head/x11-fonts/ohsnap/
  head/x11-fonts/ohsnap/Makefile
  head/x11-fonts/ohsnap/distinfo
  head/x11-fonts/ohsnap/files/
  head/x11-fonts/ohsnap/files/pkg-message.in
  head/x11-fonts/ohsnap/pkg-descr
  head/x11-fonts/ohsnap/pkg-plist
Comment 5 Tobias C. Berner freebsd_committer 2017-08-01 16:41:26 UTC
Committed. Thanks.